uk.ac.starlink.gbin

## Interface GbinMeta

-     public interface GbinMeta

  Represents metadata easily recovered from a GBIN file. This interface corresponds to (contains some of the same methods as) the gaia.cu1.tools.dal.gbin.GbinMetaData class.

  For convenience the methods here throw no exceptions, if something goes wrong they should just return a null value.

  Since:
    13 Aug 2014

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `buildDescription(boolean showChunkBreakdown)` Returns a description of the contents of the GBIN file.
    `java.lang.Integer` | `getGbinVersionNumber()` Returns the GBIN version number.
    `long[]` | `getSolutionIdList()` Returns the unique list of solution id's present in this gbin file in ascending order.
    `java.lang.Long` | `getTotalElementCount()` Returns the number of objects in the GBIN file.

- - ### Method Detail

    - #### buildDescription

          java.lang.String buildDescription(boolean showChunkBreakdown)

      Returns a description of the contents of the GBIN file.
      Parameters:
        `showChunkBreakdown` - if true, gives details of each individual chunk, otherwise just gives a summary of the gbin contents
      Returns:
        description, typically multi-line

    - #### getGbinVersionNumber

          java.lang.Integer getGbinVersionNumber()

      Returns the GBIN version number.
      Returns:
        gbin version number

    - #### getSolutionIdList

          long[] getSolutionIdList()

      Returns the unique list of solution id's present in this gbin file in ascending order. The list can be empty if the objects do not contain a solutionId field, or no objects were written. The list can be null if no solutionId information was found for one or more chunks (e.g. the data was written with an older version of the writer class, or an older format (e.g. GbinV2).
      Returns:
        array of solution IDs

    - #### getTotalElementCount

          java.lang.Long getTotalElementCount()

      Returns the number of objects in the GBIN file.
      Returns:
        element count